Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.typedef
Interface CSIDatatype

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type

    public interface CSIDatatype

extends Type

A representation of the model object 'CSI Datatype'. Tipo base previsto dall'infrastruttura di cooperazione CSI. Normalmente un insieme di tipi predefiniti è incluso come risorsa nei vari modelli (definizione servizi, orchestrazioni, ...) e dunque in ogni insieme di risorse (modelli) interconnesse è opportuno che vi sia una sola istanza di CSIDatatype per ogni tipo semplice previsto.

The following features are supported:

- `Code`
- `Nillable`

See Also:
  `TypedefPackage.getCSIDatatype()`

Method Summary
`CSIDatatypeCodes` | `getCode()` Returns the value of the 'Code' attribute.
`boolean` | `isNillable()` Returns the value of the 'Nillable' attribute
`void` | `setCode(CSIDatatypeCodes value)` Sets the value of the '`Code`' attribute
`void` | `setNillable(boolean value)` Sets the value of the '`Nillable`' attribute

Methods inherited from interface it.csi.mddtools.typedef.Type
`getAnnotations, getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getCode

    CSIDatatypeCodes getCode()

  Returns the value of the 'Code' attribute. The literals are from the enumeration `CSIDatatypeCodes`.

  If the meaning of the 'Code' attribute isn't clear, there really should be more of a description here...

  Codice che determina il reale tipo. Vedere la documentazione della enumeration CSIDatatypeCodes perl'elenco dei tipi supportati.

  Returns:
    the value of the 'Code' attribute.
  See Also:
    `CSIDatatypeCodes`, `setCode(CSIDatatypeCodes)`, `TypedefPackage.getCSIDatatype_Code()`

### setCode

    void setCode(CSIDatatypeCodes value)

  Sets the value of the '`Code`' attribute.

  Parameters:
    `value` - the new value of the 'Code' attribute.
  See Also:
    `CSIDatatypeCodes`, `getCode()`

### isNillable

    boolean isNillable()

  Returns the value of the 'Nillable' attribute.

  If the meaning of the 'Nillable' attribute isn't clear, there really should be more of a description here...

  Qualificatore di tipo che defiisce se il tipo è un tipo che può assumere valore nullo oppure no. Es:
  - code==CSIInteger & nillable == false: tipo intero non annullabile (es. java int)
  - code==CSIInteger & nillable == true: tipo intero annullabile (es. java Integer)

  Returns:
    the value of the 'Nillable' attribute.
  See Also:
    `setNillable(boolean)`, `TypedefPackage.getCSIDatatype_Nillable()`

### setNillable

    void setNillable(boolean value)

  Sets the value of the '`Nillable`' attribute.

  Parameters:
    `value` - the new value of the 'Nillable' attribute.
  See Also:
    `isNillable()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD